
#include<errno.h>
#include<stdio.h>
#include<sys/types.h>
#include<sys/stat.h>
#include<fcntl.h>
static inline int get_fd_from_path(char* filename, int flags, mode_t mode){
  int fd = open(filename, flags, mode);
  if( fd < 0 ){
    fprintf(stderr, "* error opening '%s': %s\n", filename, strerror(errno));
    exit(1);
  }

  return fd;
}

int get_fd_in(char* name){
  return get_fd_from_path(name, O_RDONLY, 0);
}

int get_fd_out(char* name){
  return get_fd_from_path(name,
      O_WRONLY | O_CREAT | O_TRUNC, S_IRUSR | S_IWUSR);
}

